package cn.citycraft.CTZServerBridge.listen;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.event.player.PlayerLoginEvent.Result;
import org.bukkit.event.player.PlayerQuitEvent;

import cn.citycraft.CTZServerBridge.CTZServerBridge;
import cn.citycraft.CTZServerCommon.CTZAuth;

public class PlayerListen implements Listener {
	static final String TableName = "ctzserver";
	static final String UserField = "player";
	static final String PWDField = "password";
	CTZServerBridge plugin;

	public PlayerListen(CTZServerBridge ctzServerBridge) {
		plugin = ctzServerBridge;
	}

	@EventHandler
	public void PlayerJoin(PlayerJoinEvent e) {
		Player p = e.getPlayer();
		p.sendMessage("§b欢迎回来,已帮您已经自动登录到服务器!");
	}

	@EventHandler
	public void PlayerLogin(PlayerLoginEvent e) {
		Player p = e.getPlayer();
		if (CTZAuth.checkLastLogout(p.getName(), 10))
			return;
		if (!CTZAuth.allowLogin(p.getName(), plugin.config.getBoolean("checkip") ? p.getAddress().getAddress().getHostAddress() : null)) {
			e.setKickMessage("§6[§bCTZLS§6] §c禁止入服 请使用服务器专用启动器进入游戏!");
			e.setResult(Result.KICK_WHITELIST);
		}
	}

	@EventHandler
	public void PlayerQuit(PlayerQuitEvent e) {
		Player p = e.getPlayer();
		CTZAuth.setLastLogout(p.getName(), System.currentTimeMillis());
	}
}
